package dev.fitko.fitconnect.cli;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.stream.Collectors;

public final class CommandLineRunner {

    private static final String LOGO = "/splash_screen_banner.txt";
    public static final String DEFAULT_CONFIG_NAME = "config.yml";

    private static final Logger LOGGER = LoggerFactory.getLogger(CommandLineRunner.class);

    private CommandLineRunner() {
    }

    public static void main(final String[] args) {
        printSplashScreen();
        getCommandLineClient().run(args);
    }



    private static CommandLineClient getCommandLineClient() {
        return new CommandLineClient();
    }

    private static void printSplashScreen() {
        LOGGER.info("{}", getSplashScreenResource());
    }

    private static String getSplashScreenResource() {
        final InputStream is = CommandLineRunner.class.getResourceAsStream(LOGO);
        return new BufferedReader(new InputStreamReader(is)).lines().collect(Collectors.joining("\n"));
    }
}
